const test = await args.actor.setupSkill(game.i18n.localize("NAME.Cool"), {
  skipTargets: true,
  appendTitle: ` — ${this.effect.name}`,
  fields: {difficulty: "challenging"},
  context: {
    failure: `Gain d'1 état @Condition[Stunned].`
  }
});

await test.roll();

if (test.failed)
  args.actor.addCondition("stunned");